Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface ILaunchConfigurationListener

All Known Implementing Classes:
  AbstractSourceLookupDirector, Launch

public interface ILaunchConfigurationListener

Notified when a launch configuration is created, deleted, or changed.

This interface is intended to be implemented by clients.

Since:
  2.0

Method Summary
`void` | `launchConfigurationAdded(ILaunchConfiguration configuration)` The given launch configuration has been created.
`void` | `launchConfigurationChanged(ILaunchConfiguration configuration)` The given launch configuration has changed in some way.
`void` | `launchConfigurationRemoved(ILaunchConfiguration configuration)` The given launch configuration has been deleted.

Method Detail

### launchConfigurationAdded

    public void launchConfigurationAdded(ILaunchConfiguration configuration)

  The given launch configuration has been created.

  Parameters:
    `configuration` - the newly created launch configuration

### launchConfigurationChanged

    public void launchConfigurationChanged(ILaunchConfiguration configuration)

  The given launch configuration has changed in some way. The configuration may be a working copy.

  Parameters:
    `configuration` - the launch configuration that has changed

### launchConfigurationRemoved

    public void launchConfigurationRemoved(ILaunchConfiguration configuration)

  The given launch configuration has been deleted.

  Parameters:
    `configuration` - the deleted launch configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.